Skip to main content

Retrieve a collection of accounts information

GET 

/api/accounts

This API endpoint is designed to retrieve a collection of account information, providing a convenient way to access data related to multiple accounts within your system. The retrieved data includes fields such as "currency," "availableBalance," and "forecastedBalance."

Request

Query Parameters

    page integer

    Default value: 1

    The collection page number

    itemsPerPage integer

    Possible values: <= 50

    Default value: 30

    The number of items per page

    type string

    Possible values: [normal, collateral, guarantee]

    Select accounts by type

    order[id] string

    Possible values: [ASC, DESC]

    Sort the results by the specified field

Responses

OK - The request was processed successfully.

Schema
  • Array [
  • id integer
    type string

    Possible values: [normal, collateral, guarantee, escrow, paypal]

    currency string
    baseCurrency string
    availableBalance number
    baseCurrencyBalance number
    forecastedBalance number
    ibans object[]
  • Array [
  • type string

    Possible values: [normal, qr]

    value string

    Can be IBAN or account number. If the first 2 characters are letters, it is an IBAN, otherwise, an account number.

    routingType string
    routingCode string
  • ]
  • ]
Loading...